package main;
/*
 * CANE - A Clustering Algorithm for Non-Euclidean spaces.
 *
 * Copyright (C) 2014 Benjamin Eltzner
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
 * or see <http://www.gnu.org/licenses/>.
 */

public class CANE
{

    static final String TITLE = "CANE";
    static final String VERSION = "0.0.0";

    private static boolean DEBUG;

    /**
     * Main method. Parses command line parameters.
     *
     * @param args  The String-array containing the command line arguments.
     */
    public static void main(String[] args)
    {
        DEBUG = false;
        for (int arg = 0; arg < args.length; arg++)
        {
            if (args[arg].matches("-{1,2}debug"))
            {
                DEBUG = true;
            }
            else if (args[arg].matches("(-{1,2}help)|(-h)"))
            {
                usage();
                return;
            }
        }
        if (DEBUG)
        {
            System.out.println("Welcome to " + TITLE + " " + VERSION + "! Debug mode active.\n");
        }

        new MainDialog();
    }

    public static void usage()
    {
        System.out.println("Usage:\n\tjava -jar CANE.jar [Options]\n\n" +
                           "Possible switches are:\n" +
                           "\t-h,\t--help\tshow this help and exit\n" +
                           "\t--debug\t\tstart CANE in debug/verbose mode");
        return;
    }

    public static boolean DEBUG()
    {
        return DEBUG;
    }

}
